// DialogDeleteLandings.cpp : implementation file
//

#include "stdafx.h"
#include "Cablan.h"
#include "DialogDeleteLandings.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogDeleteLandings dialog


CDialogDeleteLandings::CDialogDeleteLandings(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogDeleteLandings::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogDeleteLandings)
	m_DeleteLandingID = _T("");
	//}}AFX_DATA_INIT
}


void CDialogDeleteLandings::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogDeleteLandings)
	DDX_Control(pDX, IDC_COMB_LANDINGIDDELETE, m_DeleteLandingIDCtrl);
	DDX_CBString(pDX, IDC_COMB_LANDINGIDDELETE, m_DeleteLandingID);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogDeleteLandings, CDialog)
	//{{AFX_MSG_MAP(CDialogDeleteLandings)
	ON_CBN_SELCHANGE(IDC_COMB_LANDINGIDDELETE, OnSelchangeCombLandingiddelete)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogDeleteLandings message handlers

BOOL CDialogDeleteLandings::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_DeleteLandingIDCtrl.SetCurSel(CurrentLanding-1);//negative one because SetCurSel() value starts from zero
	UpdateData(TRUE);
		
	UpdateData(FALSE);	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDialogDeleteLandings::OnSelchangeCombLandingiddelete() 
{
	int temp;
	temp = CurrentLanding;

	CurrentLanding = m_DeleteLandingIDCtrl.GetCurSel() + 1;//positive one because SetCurSel() value starts from zero

	if (CurrentLanding > TotalNumberofLandings || CurrentLanding < 0)
	{
		AfxMessageBox("The landing ID number that you just input is not available!", MB_ICONEXCLAMATION);
		CurrentLanding = temp;
	}

	m_DeleteLandingIDCtrl.SetCurSel(CurrentLanding-1);
	UpdateData(TRUE);
	
	UpdateData(FALSE);		
}
