// DialogLandingCosts.cpp : implementation file
//

#include "stdafx.h"
#include "Cablan.h"
#include "DialogLandingCosts.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogLandingCosts dialog


CDialogLandingCosts::CDialogLandingCosts(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogLandingCosts::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogLandingCosts)
	m_LandingCosts = 0.0f;
	m_LandingSharingTowerID = 0;
	m_CombLandingID = _T("");
	//}}AFX_DATA_INIT
}


void CDialogLandingCosts::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogLandingCosts)
	DDX_Control(pDX, IDC_LANDINGSHARINGTOWERID, m_CtrlLandingSharingTowerID);
	DDX_Control(pDX, IDC_COMB_LANDINGID, m_Comb_LandingIDCtrl);
	DDX_Control(pDX, IDC_STATIC_LANDINGSHARING, m_CtrlStaticLandingSharing);
	DDX_Text(pDX, IDC_LANDINGCOSTS, m_LandingCosts);
	DDV_MinMaxFloat(pDX, m_LandingCosts, 0.f, 1.e+008f);
	DDX_Text(pDX, IDC_LANDINGSHARINGTOWERID, m_LandingSharingTowerID);
	DDX_CBString(pDX, IDC_COMB_LANDINGID, m_CombLandingID);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogLandingCosts, CDialog)
	//{{AFX_MSG_MAP(CDialogLandingCosts)
	ON_EN_CHANGE(IDC_LANDINGSHARINGTOWERID, OnChangeLandingsharingtowerid)
	ON_CBN_SELCHANGE(IDC_COMB_LANDINGID, OnSelchangeCombLandingid)
	ON_EN_CHANGE(IDC_LANDINGCOSTS, OnChangeLandingcosts)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogLandingCosts message handlers

void CDialogLandingCosts::OnSelchangeCombLandingid() 
{
	CurrentLanding = m_Comb_LandingIDCtrl.GetCurSel() + 1;//positive one because SetCurSel() value starts from zero
	m_Comb_LandingIDCtrl.SetCurSel(CurrentLanding-1);
	UpdateData(TRUE);

	m_LandingCosts = LandingCosts[CurrentLanding];
	m_LandingSharingTowerID = LandingSharingTowerID[CurrentLanding];

	
	UpdateData(FALSE);	
}

BOOL CDialogLandingCosts::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_Comb_LandingIDCtrl.SetCurSel(CurrentLanding-1);//negative one because SetCurSel() value starts from zero
	UpdateData(TRUE);
	m_LandingCosts = LandingCosts[CurrentLanding];
	m_LandingSharingTowerID = LandingSharingTowerID[CurrentLanding];

	
	UpdateData(FALSE);	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDialogLandingCosts::OnChangeLandingcosts() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);

	LandingCosts[CurrentLanding] = m_LandingCosts;

}

void CDialogLandingCosts::OnChangeLandingsharingtowerid() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	
	UpdateData(TRUE);
	CString tempString = "ID number you entered does not exist!";
	if (m_LandingSharingTowerID >= TotalNumberofLandings)
	{
		AfxMessageBox(tempString, MB_OK|MB_ICONSTOP);
		m_LandingSharingTowerID = 0;
		LandingSharingTowerID[CurrentLanding] = 0;
		UpdateData(FALSE);
	}
	else
		LandingSharingTowerID[CurrentLanding] = m_LandingSharingTowerID;

}

