// DialogCableOperationData.cpp : implementation file
//

#include "stdafx.h"
#include "Cablan.h"
#include "DialogCableOperationData.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogCableOperationData dialog


CDialogCableOperationData::CDialogCableOperationData(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogCableOperationData::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogCableOperationData)
	m_Density = 0.0f;
	m_EngineEfficiency = 0.0f;
	m_EnginePower = 0.0f;
	m_HookTime = 0.0f;
	m_UnhookTime = 0.0f;
	m_UnitCost = 0.0f;
	m_UserMaxPayload = 0.0f;
	m_UserMinPayload = 0.0f;
	m_LoadFactor = 0.0f;
	m_InhaulSpeedLimit = 0.0f;
	m_InhaulSpeedLimitFull = 0.0f;
	m_OuthaulSpeedLimit = 0.0f;
	m_MoveInCosts = 0.0f;
	m_LateralYardingSpeed = 0.0f;
	m_RiggingCosts = 0.0f;
	m_CableRoadChangeHour = 0.0f;
	m_YarderSetupHour = 0.0f;
	m_PenaltyForBeyondLateralYarding = 0.0f;
	m_GiveUpCellDistance = 0.0f;
	m_MultiplierLYD1 = 0.0f;
	m_MultiplierLYD2 = 0.0f;
	m_MultiplierLYD3 = 0.0f;
	m_DelayPercentage = 0.0f;
	m_FellingCosts = 0.0f;
	//}}AFX_DATA_INIT
}


void CDialogCableOperationData::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogCableOperationData)
	DDX_Text(pDX, IDC_EDIT_DENSITY, m_Density);
	DDX_Text(pDX, IDC_EDIT_ENGINEEFFICIENCY, m_EngineEfficiency);
	DDX_Text(pDX, IDC_EDIT_ENGINEPOWER, m_EnginePower);
	DDX_Text(pDX, IDC_EDIT_HOOKTIME, m_HookTime);
	DDX_Text(pDX, IDC_EDIT_UNHOOKTIME, m_UnhookTime);
	DDX_Text(pDX, IDC_EDIT_UNITCOST, m_UnitCost);
	DDX_Text(pDX, IDC_EDIT_USERMAXPAYLOAD, m_UserMaxPayload);
	DDX_Text(pDX, IDC_EDIT_USERMINPAYLOAD, m_UserMinPayload);
	DDX_Text(pDX, IDC_EDIT_LOADFACTOR, m_LoadFactor);
	DDX_Text(pDX, IDC_EDIT_INHAULSPEEDLIMIT, m_InhaulSpeedLimit);
	DDX_Text(pDX, IDC_EDIT_INHAULSPEEDLIMITFULL, m_InhaulSpeedLimitFull);
	DDX_Text(pDX, IDC_EDIT_OUTHAULSPEEDLIMIT, m_OuthaulSpeedLimit);
	DDX_Text(pDX, IDC_EDIT_MOVEINCOSTS, m_MoveInCosts);
	DDX_Text(pDX, IDC_EDIT_LATERALYARDINGSPEED, m_LateralYardingSpeed);
	DDX_Text(pDX, IDC_EDIT_RIGGINGCOSTS, m_RiggingCosts);
	DDX_Text(pDX, IDC_EDIT_CABLEROADCHANGEHOUR, m_CableRoadChangeHour);
	DDX_Text(pDX, IDC_EDIT_YARDERSETUPHOUR, m_YarderSetupHour);
	DDX_Text(pDX, IDC_EDIT_PENALTYFORBEYONDLATERALYARDING, m_PenaltyForBeyondLateralYarding);
	DDV_MinMaxFloat(pDX, m_PenaltyForBeyondLateralYarding, 1.f, 1.e+006f);
	DDX_Text(pDX, IDC_EDIT_GIVEUPCELLDISTANCE, m_GiveUpCellDistance);
	DDV_MinMaxFloat(pDX, m_GiveUpCellDistance, 0.f, 1.e+006f);
	DDX_Text(pDX, IDC_EDIT_MULTIPLIERFORLYD1, m_MultiplierLYD1);
	DDX_Text(pDX, IDC_EDIT_MULTIPLIERFORLYD2, m_MultiplierLYD2);
	DDX_Text(pDX, IDC_EDIT_MULTIPLIERFORLYD3, m_MultiplierLYD3);
	DDX_Text(pDX, IDC_EDIT_DELAYPERCENTAGE, m_DelayPercentage);
	DDV_MinMaxFloat(pDX, m_DelayPercentage, 0.f, 100.f);
	DDX_Text(pDX, IDC_EDIT_FELLINGCOSTS, m_FellingCosts);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogCableOperationData, CDialog)
	//{{AFX_MSG_MAP(CDialogCableOperationData)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogCableOperationData message handlers
